## ros-one-audio-video-recorder 2.2.16-2jammy.20251023.0159

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)

project(audio_video_recorder)

find_package(catkin REQUIRED COMPONENTS roscpp audio_common_msgs message_filters sensor_msgs)

find_package(PkgConfig)
pkg_check_modules(GST1.0 gstreamer-1.0 REQUIRED)

find_package(Boost REQUIRED COMPONENTS thread)

catkin_package(
  INCLUDE_DIRS include
  CATKIN_DEPENDS
  roscpp
  audio_common_msgs
  message_filters
  sensor_msgs
)

include_directories(include
    ${catkin_INCLUDE_DIRS}
    ${Boost_INCLUDE_DIRS}
    ${GST1.0_INCLUDE_DIRS}
)

add_executable(audio_video_recorder src/audio_video_recorder.cpp)
target_link_libraries(audio_video_recorder ${catkin_LIBRARIES} ${GST1.0_LIBRARIES} ${Boost_LIBRARIES})
add_dependencies(audio_video_recorder ${catkin_EXPORTED_TARGETS})

install(TARGETS audio_video_recorder
   DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION})

install(DIRECTORY launch sample
   DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION})

=== debian/changelog ===
ros-one-audio-video-recorder (2.2.16-2jammy.20251023.0159) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Shingo Kitagawa <shingogo.5511@gmail.com>  Thu, 23 Oct 2025 01:59:56 +0000

ros-one-audio-video-recorder (2.2.16-0jammy) jammy; urgency=high



 -- Shingo Kitagawa <shingogo.5511@gmail.com>  Mon, 06 Jan 2025 00:00:00 -0000

ros-one-audio-video-recorder (2.2.15-0jammy) jammy; urgency=high



 -- Shingo Kitagawa <shingogo.5511@gmail.com>  Fri, 13 Dec 2024 00:00:00 -0000

ros-one-audio-video-recorder (2.2.14-0jammy) jammy; urgency=high

  * [audio_video_recorder] needs to find_package message_filters (#1800 <https://github.com/jsk-ros-pkg/jsk_common/issues/1800>)
  * [audio_video_recorder][jsk_rosbag_tools] support ros-o (#1807 <https://github.com/jsk-ros-pkg/jsk_common/issues/1807>)
    * audio_video_recorder needs to find_package message_filters
  * Contributors: Lucas Walter, Yoshiki Obinata

 -- Shingo Kitagawa <shingogo.5511@gmail.com>  Thu, 12 Dec 2024 00:00:00 -0000

ros-one-audio-video-recorder (2.2.13-0jammy) jammy; urgency=high



 -- Shingo Kitagawa <shingogo.5511@gmail.com>  Thu, 09 Nov 2023 00:00:00 -0000

ros-one-audio-video-recorder (2.2.12-0jammy) jammy; urgency=high

  * add audio_video_recorder (#1672 <https://github.com/jsk-ros-pkg/jsk_common/issues/1672>)
  * Contributors: Shingo Kitagawa

 -- Shingo Kitagawa <shingogo.5511@gmail.com>  Tue, 07 Jun 2022 00:00:00 -0000

ros-one-audio-video-recorder (2.2.11-0jammy) jammy; urgency=high



 -- Shingo Kitagawa <shingogo.5511@gmail.com>  Fri, 10 Jul 2020 00:00:00 -0000

ros-one-audio-video-recorder (2.2.10-0jammy) jammy; urgency=high



 -- Shingo Kitagawa <shingogo.5511@gmail.com>  Sat, 03 Nov 2018 00:00:00 -0000

ros-one-audio-video-recorder (2.2.9-0jammy) jammy; urgency=high



 -- Shingo Kitagawa <shingogo.5511@gmail.com>  Fri, 02 Nov 2018 00:00:00 -0000

ros-one-audio-video-recorder (2.2.8-0jammy) jammy; urgency=high



 -- Shingo Kitagawa <shingogo.5511@gmail.com>  Thu, 01 Nov 2018 00:00:00 -0000

ros-one-audio-video-recorder (2.2.7-0jammy) jammy; urgency=high



 -- Shingo Kitagawa <shingogo.5511@gmail.com>  Wed, 27 Jun 2018 00:00:00 -0000

ros-one-audio-video-recorder (2.2.6-0jammy) jammy; urgency=high



 -- Shingo Kitagawa <shingogo.5511@gmail.com>  Fri, 05 Jan 2018 00:00:00 -0000

ros-one-audio-video-recorder (2.2.5-0jammy) jammy; urgency=high



 -- Shingo Kitagawa <shingogo.5511@gmail.com>  Mon, 19 Jun 2017 00:00:00 -0000

ros-one-audio-video-recorder (2.2.4-0jammy) jammy; urgency=high



 -- Shingo Kitagawa <shingogo.5511@gmail.com>  Wed, 14 Jun 2017 00:00:00 -0000

ros-one-audio-video-recorder (2.2.3-0jammy) jammy; urgency=high



 -- Shingo Kitagawa <shingogo.5511@gmail.com>  Thu, 23 Mar 2017 00:00:00 -0000

ros-one-audio-video-recorder (2.2.2-0jammy) jammy; urgency=high



 -- Shingo Kitagawa <shingogo.5511@gmail.com>  Fri, 30 Dec 2016 00:00:00 -0000

ros-one-audio-video-recorder (2.2.1-0jammy) jammy; urgency=high



 -- Shingo Kitagawa <shingogo.5511@gmail.com>  Tue, 13 Dec 2016 00:00:00 -0000

ros-one-audio-video-recorder (2.2.0-0jammy) jammy; urgency=high



 -- Shingo Kitagawa <shingogo.5511@gmail.com>  Fri, 28 Oct 2016 00:00:00 -0000

ros-one-audio-video-recorder (2.1.2-0jammy) jammy; urgency=high



 -- Shingo Kitagawa <shingogo.5511@gmail.com>  Wed, 14 Sep 2016 00:00:00 -0000

ros-one-audio-video-recorder (2.1.1-0jammy) jammy; urgency=high



 -- Shingo Kitagawa <shingogo.5511@gmail.com>  Wed, 07 Sep 2016 00:00:00 -0000

ros-one-audio-video-recorder (2.1.0-0jammy) jammy; urgency=high



 -- Shingo Kitagawa <shingogo.5511@gmail.com>  Tue, 06 Sep 2016 00:00:00 -0000

ros-one-audio-video-recorder (2.0.17-0jammy) jammy; urgency=high



 -- Shingo Kitagawa <shingogo.5511@gmail.com>  Thu, 21 Jul 2016 00:00:00 -0000

ros-one-audio-video-recorder (2.0.16-0jammy) jammy; urgency=high



 -- Shingo Kitagawa <shingogo.5511@gmail.com>  Sun, 19 Jun 2016 00:00:00 -0000

ros-one-audio-video-recorder (2.0.15-0jammy) jammy; urgency=high



 -- Shingo Kitagawa <shingogo.5511@gmail.com>  Mon, 13 Jun 2016 00:00:00 -0000

ros-one-audio-video-recorder (2.0.14-0jammy) jammy; urgency=high



 -- Shingo Kitagawa <shingogo.5511@gmail.com>  Sat, 14 May 2016 00:00:00 -0000

ros-one-audio-video-recorder (2.0.13-0jammy) jammy; urgency=high



 -- Shingo Kitagawa <shingogo.5511@gmail.com>  Fri, 29 Apr 2016 00:00:00 -0000

ros-one-audio-video-recorder (2.0.12-0jammy) jammy; urgency=high



 -- Shingo Kitagawa <shingogo.5511@gmail.com>  Mon, 18 Apr 2016 00:00:00 -0000

ros-one-audio-video-recorder (2.0.11-0jammy) jammy; urgency=high



 -- Shingo Kitagawa <shingogo.5511@gmail.com>  Sun, 20 Mar 2016 00:00:00 -0000

ros-one-audio-video-recorder (2.0.10-0jammy) jammy; urgency=high



 -- Shingo Kitagawa <shingogo.5511@gmail.com>  Sat, 13 Feb 2016 00:00:00 -0000

ros-one-audio-video-recorder (2.0.9-0jammy) jammy; urgency=high



 -- Shingo Kitagawa <shingogo.5511@gmail.com>  Mon, 14 Dec 2015 00:00:00 -0000

ros-one-audio-video-recorder (2.0.8-0jammy) jammy; urgency=high



 -- Shingo Kitagawa <shingogo.5511@gmail.com>  Mon, 07 Dec 2015 00:00:00 -0000

ros-one-audio-video-recorder (2.0.7-0jammy) jammy; urgency=high



 -- Shingo Kitagawa <shingogo.5511@gmail.com>  Sat, 05 Dec 2015 00:00:00 -0000

ros-one-audio-video-recorder (2.0.6-0jammy) jammy; urgency=high



 -- Shingo Kitagawa <shingogo.5511@gmail.com>  Wed, 02 Dec 2015 00:00:00 -0000

ros-one-audio-video-recorder (2.0.5-0jammy) jammy; urgency=high



 -- Shingo Kitagawa <shingogo.5511@gmail.com>  Mon, 30 Nov 2015 00:00:00 -0000

ros-one-audio-video-recorder (2.0.4-0jammy) jammy; urgency=high



 -- Shingo Kitagawa <shingogo.5511@gmail.com>  Wed, 25 Nov 2015 00:00:00 -0000

ros-one-audio-video-recorder (2.0.3-0jammy) jammy; urgency=high



 -- Shingo Kitagawa <shingogo.5511@gmail.com>  Fri, 24 Jul 2015 00:00:00 -0000

ros-one-audio-video-recorder (2.0.2-0jammy) jammy; urgency=high





## ros-one-audio-video-recorder 2.2.16-2noble.20251023.0158

=== debian/changelog ===
ros-one-audio-video-recorder (2.2.16-2noble.20251023.0158) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Shingo Kitagawa <shingogo.5511@gmail.com>  Thu, 23 Oct 2025 01:58:21 +0000

ros-one-audio-video-recorder (2.2.16-0noble) noble; urgency=high



 -- Shingo Kitagawa <shingogo.5511@gmail.com>  Mon, 06 Jan 2025 00:00:00 -0000

ros-one-audio-video-recorder (2.2.15-0noble) noble; urgency=high



 -- Shingo Kitagawa <shingogo.5511@gmail.com>  Fri, 13 Dec 2024 00:00:00 -0000

ros-one-audio-video-recorder (2.2.14-0noble) noble; urgency=high

  * [audio_video_recorder] needs to find_package message_filters (#1800 <https://github.com/jsk-ros-pkg/jsk_common/issues/1800>)
  * [audio_video_recorder][jsk_rosbag_tools] support ros-o (#1807 <https://github.com/jsk-ros-pkg/jsk_common/issues/1807>)
    * audio_video_recorder needs to find_package message_filters
  * Contributors: Lucas Walter, Yoshiki Obinata

 -- Shingo Kitagawa <shingogo.5511@gmail.com>  Thu, 12 Dec 2024 00:00:00 -0000

ros-one-audio-video-recorder (2.2.13-0noble) noble; urgency=high



 -- Shingo Kitagawa <shingogo.5511@gmail.com>  Thu, 09 Nov 2023 00:00:00 -0000

ros-one-audio-video-recorder (2.2.12-0noble) noble; urgency=high

  * add audio_video_recorder (#1672 <https://github.com/jsk-ros-pkg/jsk_common/issues/1672>)
  * Contributors: Shingo Kitagawa

 -- Shingo Kitagawa <shingogo.5511@gmail.com>  Tue, 07 Jun 2022 00:00:00 -0000

ros-one-audio-video-recorder (2.2.11-0noble) noble; urgency=high



 -- Shingo Kitagawa <shingogo.5511@gmail.com>  Fri, 10 Jul 2020 00:00:00 -0000

ros-one-audio-video-recorder (2.2.10-0noble) noble; urgency=high



 -- Shingo Kitagawa <shingogo.5511@gmail.com>  Sat, 03 Nov 2018 00:00:00 -0000

ros-one-audio-video-recorder (2.2.9-0noble) noble; urgency=high



 -- Shingo Kitagawa <shingogo.5511@gmail.com>  Fri, 02 Nov 2018 00:00:00 -0000

ros-one-audio-video-recorder (2.2.8-0noble) noble; urgency=high



 -- Shingo Kitagawa <shingogo.5511@gmail.com>  Thu, 01 Nov 2018 00:00:00 -0000

ros-one-audio-video-recorder (2.2.7-0noble) noble; urgency=high



 -- Shingo Kitagawa <shingogo.5511@gmail.com>  Wed, 27 Jun 2018 00:00:00 -0000

ros-one-audio-video-recorder (2.2.6-0noble) noble; urgency=high



 -- Shingo Kitagawa <shingogo.5511@gmail.com>  Fri, 05 Jan 2018 00:00:00 -0000

ros-one-audio-video-recorder (2.2.5-0noble) noble; urgency=high



 -- Shingo Kitagawa <shingogo.5511@gmail.com>  Mon, 19 Jun 2017 00:00:00 -0000

ros-one-audio-video-recorder (2.2.4-0noble) noble; urgency=high



 -- Shingo Kitagawa <shingogo.5511@gmail.com>  Wed, 14 Jun 2017 00:00:00 -0000

ros-one-audio-video-recorder (2.2.3-0noble) noble; urgency=high



 -- Shingo Kitagawa <shingogo.5511@gmail.com>  Thu, 23 Mar 2017 00:00:00 -0000

ros-one-audio-video-recorder (2.2.2-0noble) noble; urgency=high



 -- Shingo Kitagawa <shingogo.5511@gmail.com>  Fri, 30 Dec 2016 00:00:00 -0000

ros-one-audio-video-recorder (2.2.1-0noble) noble; urgency=high



 -- Shingo Kitagawa <shingogo.5511@gmail.com>  Tue, 13 Dec 2016 00:00:00 -0000

ros-one-audio-video-recorder (2.2.0-0noble) noble; urgency=high



 -- Shingo Kitagawa <shingogo.5511@gmail.com>  Fri, 28 Oct 2016 00:00:00 -0000

ros-one-audio-video-recorder (2.1.2-0noble) noble; urgency=high



 -- Shingo Kitagawa <shingogo.5511@gmail.com>  Wed, 14 Sep 2016 00:00:00 -0000

ros-one-audio-video-recorder (2.1.1-0noble) noble; urgency=high



 -- Shingo Kitagawa <shingogo.5511@gmail.com>  Wed, 07 Sep 2016 00:00:00 -0000

ros-one-audio-video-recorder (2.1.0-0noble) noble; urgency=high



 -- Shingo Kitagawa <shingogo.5511@gmail.com>  Tue, 06 Sep 2016 00:00:00 -0000

ros-one-audio-video-recorder (2.0.17-0noble) noble; urgency=high



 -- Shingo Kitagawa <shingogo.5511@gmail.com>  Thu, 21 Jul 2016 00:00:00 -0000

ros-one-audio-video-recorder (2.0.16-0noble) noble; urgency=high



 -- Shingo Kitagawa <shingogo.5511@gmail.com>  Sun, 19 Jun 2016 00:00:00 -0000

ros-one-audio-video-recorder (2.0.15-0noble) noble; urgency=high



 -- Shingo Kitagawa <shingogo.5511@gmail.com>  Mon, 13 Jun 2016 00:00:00 -0000

ros-one-audio-video-recorder (2.0.14-0noble) noble; urgency=high



 -- Shingo Kitagawa <shingogo.5511@gmail.com>  Sat, 14 May 2016 00:00:00 -0000

ros-one-audio-video-recorder (2.0.13-0noble) noble; urgency=high



 -- Shingo Kitagawa <shingogo.5511@gmail.com>  Fri, 29 Apr 2016 00:00:00 -0000

ros-one-audio-video-recorder (2.0.12-0noble) noble; urgency=high



 -- Shingo Kitagawa <shingogo.5511@gmail.com>  Mon, 18 Apr 2016 00:00:00 -0000

ros-one-audio-video-recorder (2.0.11-0noble) noble; urgency=high



 -- Shingo Kitagawa <shingogo.5511@gmail.com>  Sun, 20 Mar 2016 00:00:00 -0000

ros-one-audio-video-recorder (2.0.10-0noble) noble; urgency=high



 -- Shingo Kitagawa <shingogo.5511@gmail.com>  Sat, 13 Feb 2016 00:00:00 -0000

ros-one-audio-video-recorder (2.0.9-0noble) noble; urgency=high



 -- Shingo Kitagawa <shingogo.5511@gmail.com>  Mon, 14 Dec 2015 00:00:00 -0000

ros-one-audio-video-recorder (2.0.8-0noble) noble; urgency=high



 -- Shingo Kitagawa <shingogo.5511@gmail.com>  Mon, 07 Dec 2015 00:00:00 -0000

ros-one-audio-video-recorder (2.0.7-0noble) noble; urgency=high



 -- Shingo Kitagawa <shingogo.5511@gmail.com>  Sat, 05 Dec 2015 00:00:00 -0000

ros-one-audio-video-recorder (2.0.6-0noble) noble; urgency=high



 -- Shingo Kitagawa <shingogo.5511@gmail.com>  Wed, 02 Dec 2015 00:00:00 -0000

ros-one-audio-video-recorder (2.0.5-0noble) noble; urgency=high



 -- Shingo Kitagawa <shingogo.5511@gmail.com>  Mon, 30 Nov 2015 00:00:00 -0000

ros-one-audio-video-recorder (2.0.4-0noble) noble; urgency=high



 -- Shingo Kitagawa <shingogo.5511@gmail.com>  Wed, 25 Nov 2015 00:00:00 -0000

ros-one-audio-video-recorder (2.0.3-0noble) noble; urgency=high



 -- Shingo Kitagawa <shingogo.5511@gmail.com>  Fri, 24 Jul 2015 00:00:00 -0000

ros-one-audio-video-recorder (2.0.2-0noble) noble; urgency=high





=== debian/control ===
Source: ros-one-audio-video-recorder
Section: misc
Priority: optional
Maintainer: Shingo Kitagawa <shingogo.5511@gmail.com>
Build-Depends: debhelper (>= 9.0.0), libgstreamer-plugins-base1.0-dev, libgstreamer1.0-dev, ros-one-audio-common-msgs, ros-one-catkin, ros-one-message-filters, ros-one-roscpp, ros-one-sensor-msgs
Homepage: 
Standards-Version: 3.9.2

Package: ros-one-audio-video-recorder
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, gir1.2-gst-plugins-base-1.0, gir1.2-gstreamer-1.0, gstreamer1.0-plugins-base, gstreamer1.0-plugins-good, gstreamer1.0-plugins-ugly, gstreamer1.0-tools, libgstreamer-plugins-base1.0-0, libgstreamer-plugins-good1.0-0, libgstreamer1.0-0, libgstreamer1.0-dev, ros-one-audio-common-msgs, ros-one-message-filters, ros-one-roscpp, ros-one-sensor-msgs
Description: ROS package for recording image and audio synchronously

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/one/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF -DCATKIN_ENABLE_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_configure -- \
		-DFETCHCONTENT_FULLY_DISCONNECTED=OFF \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/one" \
		-DCMAKE_PREFIX_PATH="/opt/ros/one" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-one-audio-video-recorder//opt/ros/one/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_install

## ros-one-audio-video-recorder 2.2.16-15jammy.20260106.2052

=== debian/changelog ===
ros-one-audio-video-recorder (2.2.16-15jammy.20260106.2052) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Shingo Kitagawa <shingogo.5511@gmail.com>  Tue, 06 Jan 2026 20:52:58 +0000

## ros-one-audio-video-recorder 2.2.16-15jammy.20260220.2247

=== debian/changelog ===
ros-one-audio-video-recorder (2.2.16-15jammy.20260220.2247) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Shingo Kitagawa <shingogo.5511@gmail.com>  Fri, 20 Feb 2026 22:47:41 +0000

## ros-one-audio-video-recorder 2.2.16-15noble.20260106.2059

=== debian/changelog ===
ros-one-audio-video-recorder (2.2.16-15noble.20260106.2059) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Shingo Kitagawa <shingogo.5511@gmail.com>  Tue, 06 Jan 2026 20:59:39 +0000

## ros-one-audio-video-recorder 2.2.16-15noble.20260220.2303

=== debian/changelog ===
ros-one-audio-video-recorder (2.2.16-15noble.20260220.2303) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Shingo Kitagawa <shingogo.5511@gmail.com>  Fri, 20 Feb 2026 23:03:09 +0000
